//////////////////////////////////////////////////////////////////////////
//
//    Program : log2ps
//
//    File : log2ps.cpp
//
//////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////
//
//    Program   : log2ps
//
//    File      : log2ps.cpp
//
//    Copyright (c) 1998 Ottar Kvindesland
//              This file is a part of the source code of log2ps. It may
//              freely be altered. This copyright notice must however not
//              be removed or changed. The source code may only be
//              distributed further if it is done free of charge, and any
//              changes has been authorized by Ottar Kvindesland
//////////////////////////////////////////////////////////////////////////

#include <sys\stat.h>
#include <stdio.h>
#include <conio.h>
#include <ctype.h>
#include <fcntl.h>
#include <alloc.h>
#include <string.h>
#include <stdlib.h>

#include "struct.h"
#include "l2p_com.h"
#include "ps.h"
#include "man.h"
#include "o_str.h"
#include "cfg.h"
#include "l2p_glob.h"

#include "log-gen.h"

char currentLogLine[MAXLINE];

bool fileEnd;

FILE *logFile;
//FILE *cfgFile;

int crdNo     = 0;
int crdCntTot = 0;

char compile_date[25];
char log2ps_url[80];
char log2ps_mail[80];

tlogtbl c_qp;
cfgType cfg;

//////////////////////////////////////////////////////////////////////////
//
//        main
//
//////////////////////////////////////////////////////////////////////////

void main (int argc, char *argv[])
{
	strcpy(compile_date, "9-September-1998");
	strcpy(log2ps_url, "http://home.c2i.net/clank/ham/qsl.html");
	strcpy(log2ps_mail, "clank@c2i.net");
	printf ("\nLOG2PS, Copyright (C) 1998 by LA9IHA Ottar Kvindesland.\n");
	printf ("BETA version, compiled %s\n", compile_date);
	printf ("Latest version available at: %s\n", log2ps_url);

	/* Read Log */
	if (getCfg(argc, argv))
	{
		fileEnd = false;
		PS_print_header ();
		other_readLog ();
		QSL_completeSheet();

	};

	if (!writeCfgFile())
		printf("\nError in writing to configuration file\n");
	else
		if (cfg.oscall.b)
			system(cfg.oscall.s);

};	// main
