#define true 1
#define false 0
#define MAXLINE 160
#define MAXCOMMS 50

typedef unsigned char bool;
typedef unsigned char byte;

typedef struct
{char hd_t, tl_t;	// Head & tail type from log
			// A: Absolute
			// G: Group no
			// E: End of current group
 int hd, tl;
} tlpos;

typedef struct
{tlpos wrk, yr, mon, day, hr, min, frq, mod, rpt;
} tlogtbl;

typedef struct
{	char s[MAXLINE];	// String from parameter or config file
	int i;			// Integer value
	float f;		// Floating pont variable
	bool b;			// Boolean variable
	int min;		// Minimum value
	int max;		// Maximum value
	char type;		// Type of data in s
} cfgElType;

typedef struct
{cfgElType
	logFileName,
	mySig,
	myName,
	myQTH,
	myRig,
	pQTH,
	banner,
	myMail,
	myBBS,
	logo,
	lshade,
	cardsPerSheet,
	x_offset,
	myAddress,
	logProg,
	century,
	corners,
	frame,
	dest,
	last_yr,
	last_mon,
	last_day,
	last_time,
	dupl,
	bandFrq,
	greeting,
	expert,
	y_offset,
	title,
	xchar,
	edge,
	country,
	modlbl,
	fixmod,
	ptitle,
	fixrpt,
	margin,
	icons,
	oscall;
} cfgType;

